# frozen_string_literal: true

require "is/inspectable"

module Core
  module Pipeline
    module Signals
      class Halted < Exception
        include Is::Inspectable

        def initialize(value)
          @value = value
        end

        attr_reader :value
      end
    end
  end
end
